LoanBrokerQuoteRequest (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.messages.LoanBrokerQuoteRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker.messages
Class LoanBrokerQuoteRequest

    java.lang.Object
      org.mule.example.loanbroker.messages.LoanBrokerQuoteRequest

All Implemented Interfaces:
  Serializable

    public class LoanBrokerQuoteRequest

extends Object
implements Serializable

`LoanQuoteRequest` represents a customer request for a loan through a loan broker

See Also:
  Serialized Form

Constructor Summary
`LoanBrokerQuoteRequest()`

Method Summary
`CreditProfile` | `getCreditProfile()`
`CustomerQuoteRequest` | `getCustomerRequest()`
`Bank[]` | `getLenders()`
`LoanQuote` | `getLoanQuote()`
`void` | `setCreditProfile(CreditProfile creditProfile)`
`void` | `setCustomerRequest(CustomerQuoteRequest customerRequest)`
`void` | `setLenders(Bank[] lenders)`
`void` | `setLoanQuote(LoanQuote loanQuote)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoanBrokerQuoteRequest

    public LoanBrokerQuoteRequest()

Method Detail

### getLenders

    public Bank[] getLenders()

### setLenders

    public void setLenders(Bank[] lenders)

### getCustomerRequest

    public CustomerQuoteRequest getCustomerRequest()

### setCustomerRequest

    public void setCustomerRequest(CustomerQuoteRequest customerRequest)

### getCreditProfile

    public CreditProfile getCreditProfile()

### setCreditProfile

    public void setCreditProfile(CreditProfile creditProfile)

### getLoanQuote

    public LoanQuote getLoanQuote()

### setLoanQuote

    public void setLoanQuote(LoanQuote loanQuote)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.